summaryrefslogtreecommitdiff
path: root/bin
AgeCommit message (Collapse)Author
13 daysRemove binstubs which are generated by `Gem::Installer` now.Vít Ondruch
There is no real reason to carry these around, since they can be generated during the installation. The `Gem::Installer` generates up to date date stubs, where the racc stubs were of older format and regenerated anyway.
2020-08-21Promote erb to default gemsHiroshi SHIBATA
2020-01-01Removed the old executables of raccHiroshi SHIBATA
[ruby-core:93516][Feature #15982] https://github.com/ruby/racc/pull/123
2019-11-18Deprecate taint/trust and related methods, and make the methods no-opsJeremy Evans
This removes the related tests, and puts the related specs behind version guards. This affects all code in lib, including some libraries that may want to support older versions of Ruby. Notes: Merged: https://github.com/ruby/ruby/pull/2476
2019-11-01[ruby/date] Added update-zonetab targetNobuyoshi Nakada
https://github.com/ruby/date/commit/9bc6e30a82
2019-11-01[ruby/date] Remove unneeded line in update-abbrJeremy Evans
https://github.com/ruby/date/commit/ae14e5f293
2019-11-01[ruby/date] Add more timezone abbreviationsJeremy Evans
This gets the time zone abbreviations from https://www.timeanddate.com/time/zones/, and adds unambiguous time zones not already present in zonetab.list. See bin/update-abbr for the program used. This regenerates zonetab.h using prereq.mk (requires gperf). Only one test line is added, just to make sure a new time zone abbreviation is picked up. Fixes Ruby Bug 16286 https://github.com/ruby/date/commit/702e8b3033
2019-10-22Move format-release to tool and fix bugsNARUSE, Yui
2019-10-22Add a tool to generate a patch for www from logNARUSE, Yui
Receives an output of `tool/make-snapshot` and genarete * Markdown format for release note * a patch for branches.yml, downloads.yml, and releases.yml of w.r-l.o
2019-06-19Added binstub for racc executables.Hiroshi SHIBATA
2018-12-16bin/erb: improve documentation of -P flagk0kubun
man/erb.1: ditto [Bug #15421] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@66419 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-11-28Regenerated binstubs of bundler, rdoc and irb.hsbt
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@66066 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-11-26Removed `bundle_ruby` command. Because It's no longer shipped from Bundler ↵hsbt
1.0.2. [Bug #15291][ruby-dev:50663] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65979 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-11-25Use stub executables generated by RubyGems istead of original executables.hsbt
It resolved the conflict issues when invoking `gem i rdoc` and the binstub issues with Bundler and Rails. [Bug #5060][ruby-core:38257][Fix GH-2023] * https://github.com/rubygems/rubygems/pull/2338 * https://github.com/heroku/heroku-buildpack-ruby/issues/829 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65963 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-11-12Merge Bundler-2.0.0.pre1 from upstream.hsbt
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65672 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-11-02Added bundler as default gems. Revisit [Feature #12733]hsbt
* bin/*, lib/bundler/*, lib/bundler.rb, spec/bundler, man/*: Merge from latest stable branch of bundler/bundler repository and added workaround patches. I will backport them into upstream. * common.mk, defs/gmake.mk: Added `test-bundler` task for test suite of bundler. * tool/sync_default_gems.rb: Added sync task for bundler. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@65509 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2018-02-22erb.rb: deprecate safe_level of ERB.newk0kubun
Also, as it's in the middle of the list of 4 arguments, 3rd and 4th arguments (trim_mode, eoutvar) are changed to keyword arguments. Old ways to specify arguments are deprecated and warned now. bin/erb: deprecate -S option. We'll remove all of deprecated ones at Ruby 2.7+. enc/make_encmake.rb: stopped using deprecated interface ext/etc/mkconstants.rb: ditto ext/socket/mkconstants.rb: ditto sample/ripper/ruby2html.rb: ditto spec/ruby/library/erb/defmethod/def_erb_method_spec.rb: ditto spec/ruby/library/erb/new_spec.rb: ditto test/erb/test_erb.rb: ditto test/erb/test_erb_command.rb: ditto tool/generic_erb.rb: ditto tool/ruby_vm/helpers/dumper.rb: ditto tool/transcode-tblgen.rb: ditto lib/rdoc/erbio.rb: ditto lib/rdoc/generator/darkfish.rb: ditto [Feature #14256] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-12-22Postponing the Bundler merge.hsbt
I faced a big issue about Bundler with ruby core. I have no time to resolve it issue before 2.5 final release. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@61416 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-11-10bin/erb: change template file encoding to UTF-8k0kubun
Unlike Ruby source file encoding (script encoding) whose default is changed to UTF-8 in Ruby 2.0 (Feature #6679), template's file encoding given to erb(1) has been ASCII-8BIT since ERB supports m17n at r21170. Like Ruby source file encoding, erb template file encoding should be UTF-8 in Ruby 2. [Bug #14095] [ruby-core:83708] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60739 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-11-01Update bundled bundler to 1.16.0.hsbt
* lib/bundler, spec/bundler: Merge bundler-1.16.0. * common.mk: rspec examples of bundler-1.16.0 needs require option. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60603 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-23removed bin/bundle_ruby, It was ignored upstream gemspec.hsbt
* spec/bundler/other/*: Marked exclude tags for ruby repository. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59997 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-08Rollback to v1.15.4 version.hsbt
In r59779, it contains current master version of bundler repository. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59781 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2017-09-08Merge bundler to standard libraries.hsbt
rubygems 2.7.x depends bundler-1.15.x. This is preparation for rubygems and bundler migration. * lib/bundler.rb, lib/bundler/*: files of bundler-1.15.4 * spec/bundler/*: rspec examples of bundler-1.15.4. I applied patches. * https://github.com/bundler/bundler/pull/6007 * Exclude not working examples on ruby repository. * Fake ruby interpriter instead of installed ruby. * Makefile.in: Added test task named `test-bundler`. This task is only working macOS/linux yet. I'm going to support Windows environment later. * tool/sync_default_gems.rb: Added sync task for bundler. [Feature #12733][ruby-core:77172] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59779 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-06-18* bin/erb: $SAFE=3 is obsolete.kazu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50963 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2015-04-04* lib/rake/*: Gemify rake [fix GH-862][Feature #11025]hsbt
* test/rake/*: ditto. * tool/rbinstall.rb: ditto. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@50163 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-12-12erb: suppress warningsnobu
* bin/erb (ERB::Main#run): get rid of shadowing outer local variables. [ruby-core:65772] [Feature #10395] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48788 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-12-12erb: set variables from the command linenobu
* bin/erb (ARGV.switch, ERB::Main#run): allow variables to be set from the command line. [ruby-core:65772] [Feature #10395] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@48786 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-10-17erb: multiline anchorsnobu
* bin/erb (ARGV.switch, ERB::Main#run): use beginning/end of string anchors instead of beginning/end of line anchors. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47994 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-10-17erb: fix -U optionnobu
* bin/erb (ERB::Main#run): fix NoMethodError at -U option. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47993 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2014-05-19* bin/testrb: Removed. Forgot to remove in r45971.sorah
[Feature #9711] [ruby-core:62620] git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@46011 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-10-11* NEWS (with all sufficient information):drbrain
* lib/rake: Update to rake 10.1.0 * bin/rake: ditto. * test/rake: ditto. * NEWS: Update NEWS to include rake 10.1.0 and links to release notes. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43264 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-08-18* error.c, file.c, gc.c, hash.c, thread.c, variable.c, vm_eval.c, bin/erb:ktsj
$SAFE=4 is obsolete. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@42608 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2013-05-02irb: dead codenobu
* bin/irb: remove dead code from sample/irb.rb. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@40560 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2012-11-27* lib/rdoc*: Updated to RDoc 4.0 (pre-release)drbrain
* bin/rdoc: ditto * test/rdoc: ditto * NEWS: Updated with RDoc 4.0 information git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37889 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2012-11-15* lib/rake*: Updated to rake 0.9.3drbrain
* test/rake*: ditto * bin/rake: ditto * NEWS: ditto git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37664 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2012-11-03* bin/testrb: Use only Test::Unit::AutoRunner in test-unit gemkou
compatible API to be available by both test/unit bundled in Ruby and test-unit gem. * lib/test/unit.rb (Test::Unit::AutoRunner): Move codes from testrb. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37455 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-07-31 * lib/rdoc: Update to RDoc 3.9. Fixed `ri []`, stopdoc creating andrbrain
object reference, nodoc for class aliases, verbatim === lines. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32767 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-06-23 * lib/rake/version.rb: Fixed VERSION to work with tool/rbinstall.rbdrbrain
* bin/rake: Import bin/rake from 0.9.2 * tool/rbinstall.rb (install): Rake::VERSION is now in lib/rake/version.rb. Fixes `make install` git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@32218 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-03-07cancel subversion backfire. sorrymatz
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31046 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-03-07* gc.c (rb_gc_set_params): allow GC parameter configuration bymatz
environment variables. based on a patch from funny-falcon at https://gist.github.com/856296, but honors safe level. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31044 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-03-01Import rubygems 1.6.0 (released version @ 58d8a0b9)ryan
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@30996 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-02-12* lib/test/unit.rb (Test::Unit::Options#process_args): alwaysnobu
return options. * lib/test/unit.rb (Test::Unit::RequireFiles#non_options): return if any test case get loaded. * lib/test/unit.rb (Test::Unit::AutoRunner#initialize): do not add default directory if it is nil. * lib/test/unit.rb (Test::Unit::AutoRunner#process_args): return true if any test cases to run. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@30854 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2011-02-11* bin/testrb, test/runner.rb, lib/test/unit.rb: improve backwardnobu
compatibility. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@30841 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-07-17* lib/test/unit.rb (MiniTest::Unit#process_args): refactored.nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28668 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-07-17* lib/test/unit.rb: MiniTest::Unit is different class fromnobu
Test::Unit, and install runner before loading test/minitest. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28658 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-07-16* lib/test/unit.rb, bin/testrb, test/runner.rb: revert r28655, whichmame
broke test-all. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28657 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-07-16* lib/test/unit.rb (Test::Unit.setup_argv): run tests only whennobu
any tests have not run. * bin/testrb, test/runner.rb: use Test::Unit.start. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@28655 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-04-02* bin/erb: removed trailing spaces.nobu
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@27175 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2010-04-01Import RDoc 2.5drbrain
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@27147 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
2009-07-07 * bin/irb, lib/irb.rb lib/irb/*: irb-0.9.6, extend inspect-modekeiju
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@23985 b2dd03c8-39d4-4d8f-98ff-823fe69b080e